
shr.defineClass("shr.custom.ESignTemplateEdit", shr.framework.Edit, {
	initalizeDOM: function () {
		var self = this;
		$("#deleteRow_entrys").hide();
		shr.custom.ESignTemplateEdit.superClass.initalizeDOM.call(this);

	},
	/**
	 * 同步模板字段
	 */
	syncTemplateFieldsAction: function () {
		var self = this
		$.block.show({
			text: '正在生成递延台账数据，请稍候...'
		});
		self.remoteCall({
			method: "syncTemplateFields",
			param: {
				billID: self.billId
			},
			success: function (resp) {
				location.reload();
			},
			complete(resp) {
				$.block.hide();
			},
		});

	},
})
function jumpPage(rowId, gid, action, pos, fun, mbid) {
	console.log(rowId)
	var url = shr.getContextPath() + shr.dynamicURL;
	var params = {
		uipk: "com.kingdee.eas.custom.esign.app.ESignTemplateFileEntryField.list",
		serviceId: shr.getUrlRequestParam("serviceId"),
		parentId: rowId
	};
	var operationDialog = $("#operationDialog");
	operationDialog.children("iframe").attr('src', shr.appendParam(url, params));
	operationDialog.children("iframe").css('display', 'block');
	operationDialog.dialog({
		autoOpen: true,
		title: 'e签宝模板字段',
		width: 1200,
		minWidth: 1000,
		height: 600,
		minHeight: 600,
		modal: true,
		resizable: false,
		position: {
			my: 'center center',
			at: 'center center',
			of: window
		},
		open: function () {
		},
		close: function () {

		},
		buttons: {
			"关闭": function () {
				$(this).dialog("close");
			}
		}
	})
}